<?php
	/** Dynamic Styles **/

	if( ! function_exists( 'doko_register_dynamic_fonts' ) ) {
		function doko_register_dynamic_fonts () {
			$doko_body_font = get_theme_mod( 'doko_body_font', 'Roboto' );
			$doko_heading_font = get_theme_mod( 'doko_heading_font', 'Roboto Condensed' );
			$doko_menu_font = get_theme_mod( 'doko_menu_font', 'Roboto' );
			
			$all_fonts = $doko_body_font . '|' . $doko_heading_font . '|' . $doko_menu_font;

			if( $doko_body_font || $doko_heading_font || $doko_menu_font ) {
				$all_fonts = $doko_body_font . '|' . $doko_heading_font . '|' . $doko_menu_font;

		        wp_register_style('doko-dynamic-font', '//fonts.googleapis.com/css?family='.esc_attr($all_fonts));
		        wp_enqueue_style( 'doko-dynamic-font');
		    }
		}

	}

	if( ! function_exists( 'doko_dynamic_styles' ) ) {
		function doko_dynamic_styles() {
			$custom_css = "";

			$doko_body_font = get_theme_mod( 'doko_body_font', 'Roboto' );
			$doko_heading_font = get_theme_mod( 'doko_heading_font', 'Roboto Condensed' );
			$doko_menu_font = get_theme_mod( 'doko_menu_font', 'Roboto' );

			if( $doko_body_font ) {
				$custom_css .= "
					body, body p {
						font-family: {$doko_body_font};
					}";
			}

			if( $doko_heading_font ) {
				$custom_css .= "
					h1, h2, h3, h4, h5, h6 {
						font-family: {$doko_heading_font};
					}";
			}

			if( $doko_menu_font ) {
				$custom_css .= "
					.site-header .nav-before-slider .nav .menu-header-nav-container ul li a,
					.nav-after-slider .menu-header-nav-container ul li a {
						font-family: {$doko_menu_font};
					}";
			}

			wp_add_inline_style( 'doko-style', $custom_css );
		}

		add_action( 'wp_enqueue_scripts', 'doko_dynamic_styles' );
	}